Bug 678238 - guile-2.0.7 is available
guile-2.0.7 is available
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: guile (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Lichvar
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On: 704515 704517 704518 704519 704520 704521 704522 704523 704524 704525 704526 704527 704528 704529 704530 704531 704532 704533 704534 704535 704536 704537
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-17 04:23 EST by Upstream Release Monitoring
Modified: 2013-01-29 02:21 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-29 02:21:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Upstream Release Monitoring 2011-02-17 04:23:42 EST
Latest upstream release: 2.0.0
Current version in Fedora Rawhide: 1.8.8
URL: http://ftp.gnu.org/gnu/guile/

Please consult the package update guidelines before you issue an update to a stable branch: https://fedoraproject.org/wiki/Package_update_guidelines

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 1 Miroslav Lichvar 2011-03-07 08:01:04 EST
guile now depends on gc from

http://www.hpl.hp.com/personal/Hans_Boehm/gc

We'll need to package it first.
Comment 2 Miroslav Lichvar 2011-03-07 08:06:19 EST
Hm, gc is already packaged, in package gc.
Comment 3 Miroslav Lichvar 2011-03-11 06:14:59 EST
A scratch build is here:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2893997

Unfortunately guile 2.0.0 is now licensed under LGPLv3+, which is not compatible with GPLv2.

It seems there are only three GPLv2 packages using libguile, maybe we could try to ask their upstreams to relicense them to be compatible with LGPLv3+?

geda-gaf
lilypond
rumor

If that's not possible, we'll have to keep 1.8.8 in a compat-guile package.
Comment 4 Orcan Ogetbil 2011-03-11 09:27:49 EST
I am the maintainer of rumor. This is a dead project for years. I doubt that the author would bother to relicense it after so many years. I'll try to contact him anyway.

On the other hand, lilypond (I am not the maintainer of it) is a gigantic project, and has many authors. It will be difficult to relicense it even if the authors want to do so.

These are my initial thoughts. I believe we will have to make a compat package at the end.
Comment 5 Jon Ciesla 2011-03-11 09:57:24 EST
I am the lilypond maintainer.

It turns out lilypond is actually GPLv3 and I have the tag wrong:

https://bugzilla.redhat.com/show_bug.cgi?id=684215

Is GPLv3 compatible with LGPLv3+?
Comment 6 Miroslav Lichvar 2011-03-11 10:07:29 EST
That's good news. According to this table it is compatible.

http://fedoraproject.org/wiki/Licensing#GPL_Compatibility_Matrix
Comment 7 Jon Ciesla 2011-03-11 12:44:11 EST
Ok, I got the lilypond license tags fixed.  When do we think the new guile will hit rawhide?
Comment 8 Orcan Ogetbil 2011-03-28 23:54:06 EDT
I got an email response from the rumor developer. He says we can distribute rumor by GPLv2+ as we needed. So I just updated the rawhide (F-16) rumor package with this change. Let me know if you need this change in previous Fedora versions too.
Comment 9 Miroslav Lichvar 2011-03-29 07:33:15 EDT
Excellent. But we still haven't heard from the geda-gaf maitainer.

If I knew we do need the compat-package, I'd rather prepare and push it before updating to 2.0.0 to avoid unnecessary breakage.
Comment 10 Orcan Ogetbil 2011-03-29 21:38:52 EDT
I think there is a great chance that geda-gaf is incorrectly marked as GPLv2. I downloaded the sources and all the source files I looked inside the tarball contain the phrase "or (at your option) any later" phrase. It looks like it should be GPLv2+. The review request (bug 525510) does not seem to include a discussion about the GPL version. So it might have been overlooked.

(Note that I am not a maintainer of geda-gaf.)
Comment 11 Miroslav Lichvar 2011-03-31 06:41:32 EDT
Ok, so it seems we don't need a compat-package after all.

I tried rebuilding all libguile client packages and only three passed. Should we wait a bit, keep it in a dist-f16-guile target or go with rawhide?
Comment 12 Upstream Release Monitoring 2011-04-28 06:24:06 EDT
Latest upstream release: 2.0.1
Current version in Fedora Rawhide: 1.8.8
URL: http://ftp.gnu.org/gnu/guile/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 13 Miroslav Lichvar 2011-05-13 07:20:32 EDT
Scratch build of guile-2.0.1:

http://koji.fedoraproject.org/koji/taskinfo?taskID=3069386
or
http://mlichvar.fedorapeople.org/tmp/guile/

I'll start filling bugs for packages that fail to build with new guile.
Comment 14 Denis Washington 2011-07-02 05:09:07 EDT
How is the status of this? I would love to have guile 2.0.x in the Fedora repositories. (By the way, 2.0.2 has been released today, see http://lists.gnu.org/archive/html/guile-devel/2011-07/msg00017.html ).
Comment 15 Upstream Release Monitoring 2011-07-02 06:24:18 EDT
Latest upstream release: 2.0.2
Current version in Fedora Rawhide: 1.8.8
URL: http://ftp.gnu.org/gnu/guile/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 16 Miroslav Lichvar 2011-07-07 07:15:24 EDT
It seems majority of the packages still doesn't work with guile-2.x. I think we'll need to delay the update until F17, or provide an 1.8 compat package.
Comment 17 Miroslav Lichvar 2011-07-07 07:38:01 EDT
scratch build of guile-2.0.2:

http://koji.fedoraproject.org/koji/taskinfo?taskID=3185039
http://mlichvar.fedorapeople.org/tmp/guile/
Comment 18 Upstream Release Monitoring 2011-10-23 06:20:58 EDT
Latest upstream release: 2.0.3
Current version in Fedora Rawhide: 1.8.8
URL: http://ftp.gnu.org/gnu/guile/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 19 Chitlesh GOORAH 2011-12-03 15:53:46 EST
(In reply to comment #10)
> I think there is a great chance that geda-gaf is incorrectly marked as GPLv2. I
> downloaded the sources and all the source files I looked inside the tarball
> contain the phrase "or (at your option) any later" phrase. It looks like it
> should be GPLv2+. The review request (bug 525510) does not seem to include a
> discussion about the GPL version. So it might have been overlooked.
> 
> (Note that I am not a maintainer of geda-gaf.)

Hello indeed geda-gaf is wrongly set to GPLv2. It should be GPLv2+.
I'll update in rawhide.
Comment 20 Matthias Clasen 2011-12-27 13:55:53 EST
Any update on this ? Its been almost a year.

aisleriot is requiring guile 2.0 now, so I can't build the latest version in rawhide.
Comment 21 Miroslav Lichvar 2012-01-03 10:20:08 EST
It seems most of the dependent applications are still not ready for the new guile. Perhaps we could try to make a new guile2 package which could coexist with old guile, similarly to python3.
Comment 23 Upstream Release Monitoring 2012-01-31 06:18:44 EST
Latest upstream release: 2.0.5
Current version in Fedora Rawhide: 1.8.8
URL: http://ftp.gnu.org/gnu/guile/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 24 Upstream Release Monitoring 2012-07-08 06:52:14 EDT
Latest upstream release: 2.0.6
Current version in Fedora Rawhide: 1.8.8
URL: http://ftp.gnu.org/gnu/guile/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 25 Allan Day 2012-08-13 17:40:50 EDT
There are changes in the latest version of aiselriot that I'd like to see in F18; it would be great if this could be resolved before the next release.
Comment 26 Account closed by user 2012-08-28 13:24:22 EDT
ping!
Comment 27 Upstream Release Monitoring 2012-11-30 05:21:22 EST
Latest upstream release: 2.0.7
Current version in Fedora Rawhide: 1.8.8
URL: http://ftp.gnu.org/gnu/guile/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 28 Jan Synacek 2013-01-29 02:21:09 EST
guile-2.0.7 landed in rawhide. For more information, see https://fedoraproject.org/wiki/Features/Guile2.

Note You need to log in before you can comment on or make changes to this bug.